org.apache.ignite.internal.processors.cache.persistence.partstorage

## Class PartitionMetaStorageImpl<T extends Storable>

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.DataStructure
  - - org.apache.ignite.internal.processors.cache.persistence.freelist.PagesList
    - - org.apache.ignite.internal.processors.cache.persistence.freelist.AbstractFreeList<T>
      - - org.apache.ignite.internal.processors.cache.persistence.partstorage.PartitionMetaStorageImpl<T>

All Implemented Interfaces:
  FreeList<T>, PartitionMetaStorage<T>, ReuseList

    public class PartitionMetaStorageImpl<T extends Storable>
    extends AbstractFreeList<T>
    implements PartitionMetaStorage<T>

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.ignite.internal.processors.cache.persistence.freelist.PagesList

`PagesList.PagesCache, PagesList.Stripe`

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.persistence.freelist.PagesList

`bucketsSize, changed, DFLT_PAGES_LIST_TRY_LOCK_ATTEMPTS, IGNITE_PAGES_LIST_STRIPES_PER_BUCKET, IGNITE_PAGES_LIST_TRY_LOCK_ATTEMPTS, log, name, pageCacheChanged`

### Fields inherited from class org.apache.ignite.internal.processors.cache.persistence.DataStructure

`grpId, grpName, lockLsnr, metrics, NOOP_LSNR, pageFlag, pageIoRslvr, pageMem, reuseList, rnd, wal`

### Constructor Summary

Constructors
Constructor and Description
`PartitionMetaStorageImpl(int cacheGrpId, String name, DataRegion memPlc, ReuseList reuseList, IgniteWriteAheadLogManager wal, long metaPageId, boolean initNew, PageLockListener lsnr, GridKernalContext ctx, AtomicLong pageListCacheLimit, byte pageFlag)`

### Method Summary

All Methods Instance Methods Concrete Methods
`byte[]` `readRow(long link)` Read row as byte array from data pages.

### Methods inherited from class org.apache.ignite.internal.processors.cache.persistence.freelist.AbstractFreeList

`addForRecycle, casBucket, dumpStatistics, emptyDataPages, freeSpace, getBucket, getBucketCache, getBucketIndex, initRecycledPage, insertDataRow, insertDataRows, isReuseBucket, recycledPagesCount, removeDataRowByLink, takeRecycledPage, toString, updateDataRow, updateDataRow`

### Methods inherited from class org.apache.ignite.internal.processors.cache.persistence.freelist.PagesList

`bucketsCount, bucketSize, cachedPagesCount, init, initRecycledPage0, initReusedPage, name, put, removeDataPage, saveMetadata, storedPagesCount, stripesCount, takeEmptyPage`

### Methods inherited from class org.apache.ignite.internal.processors.cache.persistence.DataStructure

`acquirePage, allocatePage, allocatePage, allocatePageNoReuse, groupId, init, needWalDeltaRecord, pageSize, randomInt, read, read, readLock, readUnlock, recyclePage, releasePage, tryWriteLock, write, write, write, write, writeLock, writeUnlock, writeUnlock`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.persistence.partstorage.PartitionMetaStorage

`insertDataRow, removeDataRowByLink, saveMetadata`

### Constructor Detail

#### PartitionMetaStorageImpl

    public PartitionMetaStorageImpl(int cacheGrpId,
                                    String name,
                                    DataRegion memPlc,
                                    ReuseList reuseList,
                                    IgniteWriteAheadLogManager wal,
                                    long metaPageId,
                                    boolean initNew,
                                    PageLockListener lsnr,
                                    GridKernalContext ctx,
                                    AtomicLong pageListCacheLimit,
                                    byte pageFlag)
                             throws IgniteCheckedException

Parameters:
  `cacheGrpId` - Cache group id.
  `name` - Name.
  `memPlc` - Mem policy.
  `reuseList` - Reuse list.
  `wal` - Wal.
  `metaPageId` - Meta page id.
  `initNew` - Initialize new.
  `pageFlag` - Default flag value for allocated pages.
Throws:
  `IgniteCheckedException`

### Method Detail

#### readRow

    public final byte[] readRow(long link)
                         throws IgniteCheckedException

Read row as byte array from data pages.

Specified by:
  `readRow` in interface `PartitionMetaStorage<T extends Storable>`
Parameters:
  `link` - Link.
Throws:
  `IgniteCheckedException` - If failed.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021